Page MenuHomePhabricator

Link to edit the label overlaps with the label
Closed, ResolvedPublic

Description

I have seen that case of overlapping on fr.wp while editing as a volunteer, using Firefox:

From https://fr.wikipedia.org/wiki/Guillaume_Desboys?veaction=edit:


That overlapping varies depending on something I can't identify. See that example from https://fr.wikipedia.org/wiki/Jehan_Grahant?veaction=edit:

Also, have the "label" title and the editing link bolder than the label itself makes that label difficult to read:

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (44556e8fd)
VisualEditor/VisualEditor : masterFix clipping on label preview in link context

Event Timeline

Trizek-WMF triaged this task as Normal priority.Jul 14 2018, 12:32 PM
Trizek-WMF created this task.
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 14 2018, 12:32 PM
Trizek-WMF raised the priority of this task from Normal to Needs Triage.Jul 14 2018, 12:32 PM

Thanks for bringing this up @Trizek-WMF - I agree with your observations.
To clarify, there seem to be two issues:

  1. The edit label overlap - this feels like there needs to be a rule in place for after the ellipsis a space needs to be inserted - but as this seems to be happening inconsistently, I would imagine that there is something going on with the styling. I might be missing something more technical that is happening.
  1. The styling of the label title - There are a lot of bold elements here competing for your attention so we should review the typographic hierarchy at some point.

cc/ @Volker_E - you might have more thoughts on this and be better able to address how to triage.

Trizek-WMF updated the task description. (Show Details)Aug 21 2018, 1:11 PM

Change 517099 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[VisualEditor/VisualEditor@master] Fix clipping on label preview in link context

https://gerrit.wikimedia.org/r/517099

matmarex added subscribers: Esanders, matmarex.

@Esanders rediscovered this issue while working on changes to contexts on mobile:

Change 517099 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Fix clipping on label preview in link context

https://gerrit.wikimedia.org/r/517099

matmarex moved this task from Code review to QA on the VisualEditor (Current work) board.
BeforeAfter

Change 517137 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (44556e8fd)

https://gerrit.wikimedia.org/r/517137

Change 517137 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (44556e8fd)

https://gerrit.wikimedia.org/r/517137

matmarex removed a project: Editing QA.

(oops, was already marked as Verified)

@iamjessklein The prioritization and organization improves with your current, scheduled work on the mobile link editing dialog. Any plans to take the good parts from there?

yes, I believe that this is going to be captured in T225725

cc/ @ppelberg

@iamjessklein The prioritization and organization improves with your current, scheduled work on the mobile link editing dialog. Any plans to take the good parts from there?

! In T199617#5262963, @iamjessklein wrote:
yes, I believe that this is going to be captured in T225725
cc/ @ppelberg

@iamjessklein + @Volker_E: y'all are talking about extending the work we are doing on the mobile context items (see T225725) to the desktop context items? If so, then yep, this is our plan.

The conversation about how exactly the designs will be implemented on desktop is happening in this ticket: T226214

ppelberg closed this task as Resolved.Aug 6 2019, 2:15 AM
ppelberg claimed this task.